Hi guys,

It's the first time that I've build a custom kernel.

The installation went fine, but in the end, I'm trying to install the current Catalyst Driver for my HD 5770

The steps I did:
- downloading catalyst 10.5 from official site
- extracting
- patching with the two patches from http://aur.archlinux.org/packages.php?ID=29111
- sh ati-install.sh 10.5 --install
- automatic install

well .. First Time, I got the following problem:
The UTS Release version in include/linux/version.h
""
does not match current version:
"2.6.17"
After some time googleing I found the solution --> #define UTS_RELEAS "2.6.34"

And now I'm stuck at the next problem

:/lib/modules/fglrx# ./make_install.sh
- recreating module dependency list
- trying a sample load of the kernel modules
FATAL: Error inserting fglrx (/lib/modules/2.6.34/kernel/drivers/char/drm/fglrx.ko): Invalid module format
failed.


modprobe fglrx shows me the same problem

modinfo fglrx shows the following lines:
filename: /lib/modules/2.6.34/kernel/drivers/char/drm/fglrx.ko
license: Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY
description: ATI Fire GL
author: Fire GL - ATI Research GmbH, Germany
alias: pci:v00001002d000095CFsv*sd*bc*sc*i* [...] <-- a lot of different "alias" lines
depends:
vermagic: 2.6.34 SMP mod_unload
parm: firegl:charp
Can somebody help me ? ..

I also tried the installer http://kanotix.com/files/install-fglrx-debian.sh

But all the time, he downloaded the "drms" stuff from the kanotix site and after it, he wants to download the linux-header 2.6.22-2 with apt

So I gave up and hope to get some more tips from you

thanks a lot

greets,
Phil